Package org.zkoss.zk.ui.impl

## Class RichletConfigImpl

- java.lang.Object
- - org.zkoss.zk.ui.impl.RichletConfigImpl

- All Implemented Interfaces:
    `RichletConfig`

      public class RichletConfigImpl
      extends java.lang.Object
      implements RichletConfig

  An implementation of `RichletConfig`.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RichletConfigImpl​(WebApp wapp, java.util.Map<java.lang.String,​java.lang.String> params)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getInitParameter​(java.lang.String name)` | Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
    `java.lang.Iterable<java.lang.String>` | `getInitParameterNames()` | Returns the names of the richlet's initialization parameters as an iterable String objects (never null).
    `WebApp` | `getWebApp()` | Returns the web application that the richlet belongs to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichletConfigImpl

          public RichletConfigImpl​(WebApp wapp,
                                   java.util.Map<java.lang.String,​java.lang.String> params)

      Parameters:
        `wapp` - the `WebApp` that this config belongs to (never null).
        `params` - the initial parameters. Empty is assumed if null.

  - ### Method Detail

    - #### getWebApp

          public WebApp getWebApp()

      Description copied from interface: `RichletConfig`
      Returns the web application that the richlet belongs to.
      Specified by:
        `getWebApp` in interface `RichletConfig`

    - #### getInitParameter

          public java.lang.String getInitParameter​(java.lang.String name)

      Description copied from interface: `RichletConfig`
      Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
      Specified by:
        `getInitParameter` in interface `RichletConfig`

    - #### getInitParameterNames

          public java.lang.Iterable<java.lang.String> getInitParameterNames()

      Description copied from interface: `RichletConfig`
      Returns the names of the richlet's initialization parameters as an iterable String objects (never null).
      Specified by:
        `getInitParameterNames` in interface `RichletConfig`